function makeSunStick() {
    var obj = Object.create(Triangle);
    
    // add properties; override draw
    obj.sunAngle = 45;
    obj.draw = function() {

        var [x,y] = this.cartesian(this.currentAngle);
        var ctx = this.ctx;
        var sunRadians = this.sunAngle * Math.PI / 180.0;
        var yShadow = this.yBase;
        
        ctx.fillStyle = "#fff"
        ctx.fillRect(0, 0, this.canvas.width, this.canvas.height);

        Triangle.draw.call(this);		
		var sunX = Math.floor(this.xBase + ((this.length * 5 / 2) * Math.cos( sunRadians )) );
		var sunY = Math.floor(this.yBase - ((this.length * 2) * Math.sin( sunRadians )) );
        
        if (sunY < y) {
            if (sunX != x) {
                slope = (sunY - y) / (sunX - x);
                intercept = (y - slope * x);
                xShadow = (this.yBase - intercept) / slope;
            } else {
                xShadow = x;
            }
        } else {
            xShadow = this.xBase; // no intersection point
        }
        
        if (xShadow != this.xBase) {
            ctx.strokeStyle = "#999";
            ctx.lineWidth = 1;
            ctx.setLineDash([5, 5]);
            drawLine(ctx, sunX, sunY, xShadow, yShadow); // , yShadow);
        
            ctx.strokeStyle = "#888";
            ctx.lineWidth = 2;
            ctx.setLineDash([15,0]);
            drawLine(ctx, this.xBase, yShadow + 3, xShadow, yShadow + 3);
        }
        ctx.fillStyle = "#ff0";
        ctx.beginPath();
        ctx.arc(sunX, sunY, 8, 0, 2 * Math.PI);
        ctx.fill();
    };
    return obj;
}

var SunStick = makeSunStick();
