function getIntParameter(element, param, defaultValue) {
  var result = element.getAttribute(param);
  if (result == null) {
    result = defaultValue;
  }
  else {
    result = parseInt(result, 10);
  }
  return result;
}

function getBooleanParameter(element, param, defaultValue) {
  var result = element.getAttribute(param);
  if (result != null) {
    if (result === 'false') {
      result = false;
    } else if (result === 'true') {
      result = true;
    }
  } else {
    result = defaultValue;
  }
  return result;
}


function drawLine(ctx, x0, y0, x1, y1) {
    ctx.beginPath();
    ctx.moveTo(x0, y0);
    ctx.lineTo(x1, y1);
    ctx.stroke();
}

function playSound(filename)
{
  var sound = document.getElementById("sound");
  if (sound.canPlayType("audio/ogg")) {
    sound.src = filename + ".ogg";
  } else if (sound.canPlayType("audio/wav")) {
    sound.src = filename + ".wav";
  }
  else {
    sound.src = filename + ".mp3";
  }
  sound.play();
}
